function Perl_OptionsFrame_SelectFrame(frame)
	Perl_FrameOptions_Frame:Show();

	if (frame == "player") then
		Perl_FrameOptions_Frame_Player:Show();
		Perl_FrameOptions_Frame_Party:Hide();
		Perl_FrameOptions_Frame_Raid:Hide();

	elseif (frame == "party") then
		Perl_FrameOptions_Frame_Player:Hide();
		Perl_FrameOptions_Frame_Party:Show();
		Perl_FrameOptions_Frame_Raid:Hide();

	elseif (frame == "raid") then
		Perl_FrameOptions_Frame_Player:Hide();
		Perl_FrameOptions_Frame_Party:Hide();
		Perl_FrameOptions_Frame_Raid:Show();
	end
end

function Perl_OptionsSetMyText(f, str)

	if (f and str) then
		local textFrame = getglobal(f:GetName().."Text");

		if (textFrame) then
			textFrame:SetText(getglobal(str));
			f.tooltipText = getglobal(str.."_DESC");

		elseif (f:GetFrameType() == "Button") then
			f:SetText(getglobal(str));
			f.tooltipText = getglobal(str.."_DESC");
		end

		setglobal(str, nil);
		setglobal(str.."_DESC", nil);
	end
end

function Perl_GetCheck(f)
	if (f:GetChecked()) then
	        return 1;
	else
	        return 0;
	end
end

-- Perl_Raid_OptionActions()
function Perl_Raid_OptionActions()
	Perl_Check_Raid();              -- Check addon loaded

	if (Perl_Raid_Position) then
        	Perl_Raid_Position();
	end
end
